<?php 
/* 
Plugin Name: E-Posta Listesi
Plugin URI: https://www.theWP.com.tr
Description: Ziyaretçilerden e-posta listesi oluşturabileceğiniz eklentidir. 
Author: theWP.com.tr
Version: 1.0
Author URI: https://www.theWP.com.tr
*/

add_action( 'admin_menu', 'epostaliste_menu_page' );
function epostaliste_menu_page(){
    add_menu_page(__('E-Posta Liste','epostaliste'), __('E-Posta Liste','epostaliste'), 'manage_options', 'epostaliste', 'epostaliste_page','',3);
}

register_activation_hook(__FILE__,'epostaliste_sql_install');
register_activation_hook(__FILE__,'epostaliste_install_data');


function epostaliste_sql_install()
{
    global $wpdb;
    $db_sql="CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}epostaliste` (
         `id` bigint(20) NOT NULL auto_increment,
         `eposta` text NOT NULL ,
         `tarih` datetime NOT NULL ,
            PRIMARY KEY  (`id`)
         ) DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;";
    $wpdb->query($db_sql);
}

function epostaliste_install_data() {
    global $wpdb;

    $epostaliste_eposta      = 'ucekirge@gmail.com';
    $table_name = $wpdb->prefix . 'epostaliste';

    $wpdb->insert(
        $table_name,
        array(
            'tarih' => current_time( 'mysql' ),
            'eposta' => $epostaliste_eposta,
        )
    );
}

function epostaliste_page()
{

 if(isset($_GET['sil']))
 {
     $id = $_GET['sil'];
     global $wpdb;
     $sil = $wpdb->query("DELETE FROM ".$wpdb->prefix."epostaliste where id=$id;");

     if($sil){ echo 'Silindi';}
     $geldigi_sayfa = $_SERVER['HTTP_REFERER'];
     wp_redirect( $geldigi_sayfa, 301 ); exit;


 }
 elseif (isset($_GET['sayfa']))
 {
 
 ?>
        <div class="wrap" xmlns="http://www.w3.org/1999/html">
            <h2>
                theWP - E-posta Listesi
            </h2>
            <div id="post-body-content">
             <textarea rows="10" cols="50"><?php global $wpdb; $aboneler = $wpdb->get_results("select * from ".$wpdb->prefix."epostaliste"); foreach ($aboneler as $abone) { echo $abone->eposta. PHP_EOL; } ?></textarea>           
            </div>
        </div>

 <?


 }
 else {

        ?>
        <div class="wrap" xmlns="http://www.w3.org/1999/html">
            <h2>
                theWP - E-posta Listesi
            </h2>
            <h3>
            <?php $adressatiri = "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF']; ?>
                <a href="<?php echo $adressatiri . '?page=epostaliste&sayfa=epostaal'?>">Liste Al</a>
            </h3>

            <div id="post-body-content">
                <table class="wp-list-table widefat plugins">
                    <thead>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">E-posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>

                    </tr>
                    </thead>

                    <tfoot>
                    <tr>
                        <th scope="col" style="">ID</th>
                        <th scope="col" style="">E-posta</th>
                        <th scope="col" style="">Tarih</th>
                        <th scope="col" style=""></th>
                    </tr>
                    </tfoot>

                    <tbody>
                    <?php
                    global $wpdb;
                    $adressatiri = "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'];
                    $aboneler = $wpdb->get_results("select * from ".$wpdb->prefix."epostaliste order by tarih DESC LIMIT 25;");

                    foreach ($aboneler as $abone) {
                        $id = $abone->id;
                        $eposta = $abone->eposta;
                        $tarih = $abone->tarih;
                        $sil = $adressatiri . '?page=epostaliste&sil=' . $id;


                        if ($durum == "1") {
							echo '<tr style="background-color:#ffe1e1;">';
						}else{
							echo '<tr class="active">';
						}
                        echo '<th id="idnumber" style="padding-top:10px">';
                        echo $id;
                        echo '</th>';
                        echo '<td id="e-posta">';
                        echo '   <div>';
                        echo '        <p>' . $eposta . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="tarih">';
                        echo '   <div>';
                        echo '        <p>' . $tarih . '</p>';
                        echo '    </div>';
                        echo '</td>';
                        echo '<td id="sil">';
                        echo '   <div>';
                        echo '        <a href="' . $sil . '">SİL</a>';
                        echo '    </div>';
                        echo '</td>';
                        echo '</tr>';
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php
    }
}


function epostaFunction(){
    global $wpdb;

    $epostaliste_eposta      = $_POST['eposta'];
    if (!filter_var($epostaliste_eposta, FILTER_VALIDATE_EMAIL)) {
      echo "E-posta adresiniz geçerli değildir."; 
      die();
    }

    $table_name = $wpdb->prefix . 'epostaliste';
    $eposta_count = $wpdb->get_var( "SELECT COUNT(*) FROM wp_epostaliste WHERE eposta = '" . $epostaliste_eposta . "'" );
    if($eposta_count>0){
        echo 'Böyle e-posta sistemde kayıtlıdır.';
    }else{
        $wpdb->insert(
            $table_name,
            array(
                'tarih' => current_time( 'mysql' ),
                'eposta' => $epostaliste_eposta,
            )
        );
        echo 'Bültene e-posta adresiniz eklenmiştir.';       
    }

    die();
}
add_action('wp_ajax_epostaFunction', 'epostaFunction');
add_action('wp_ajax_nopriv_epostaFunction', 'epostaFunction');



add_action('wp_head', 'eposta_ajaxurl');

function eposta_ajaxurl() {

   echo '<script type="text/javascript">
           var ajaxurl = "' . admin_url('admin-ajax.php') . '";
         </script>';
}