<?php
$prefix = 'ozellikler_';
$meta_box = array(
   'id' => 'my-meta-box',
    'title' => 'FILM DETAYLARI',
    'page' => 'post',
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(


array(
'name' => 'Editörün Seçimi',
'id' => $prefix . 'editorSecimi',
'type' => 'checkbox'
),


array(
'name' => 'Film Büyük Sliderda Gösterilsin Mi?',
'id' => $prefix . 'filmSlider',
'type' => 'checkbox'
),

array(
'name' => 'Film Küçük Sliderda Gösterilsin Mi?',
'id' => $prefix . 'kfilmSlider',
'type' => 'checkbox'
),

array(
'name' => 'Filmin Yönetmeni',
'id' => $prefix . 'filmYonetmeni',
'type' => 'text'
),

array(
'name' => 'Video Süresi (Dakika)',
'id' => $prefix . 'videoSuresi',
'type' => 'text'
),

array(
'name' => 'Video Süresi',
'id' => $prefix . 'videoDil',
'type' => 'radio',
'options' => array(
array('name' => 'YERLİ FILM ', 'value' => 'YERLİ FILM'),
array('name' => 'TÜRKÇE DUBLAJ ', 'value' => 'TR DUBLAJ'),
array('name' => 'TÜRKÇE ALTYAZI ', 'value' => 'TR ALTYAZI'),
array('name' => 'ORİJİNAL DİL ', 'value' => 'ORJ DİL')
)
),

array(
'name' => 'Video Kalitesi',
'id' => $prefix . 'videoKalitesi',
'type' => 'radio',
'options' => array(
array('name' => '360P ', 'value' => '360P'),
array('name' => '480P ', 'value' => '480P'),
array('name' => '720P ', 'value' => '720P'),
array('name' => '1080P ', 'value' => '1080P')
)
),

array(
'name' => 'Filmin Özeti',
'id' => $prefix . 'filmOzeti',
'type' => 'textarea'
),



)
);

add_action('admin_menu', 'mytheme_add_box');

// Add meta box
function mytheme_add_box() {
    global $meta_box;
    add_meta_box($meta_box['id'], $meta_box['title'], 'mytheme_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
}

// Callback function to show fields in meta box
function mytheme_show_box() {
global $meta_box, $post;

    // Use nonce for verification
    echo '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
    echo '<table class="form-table">';

   foreach ($meta_box['fields'] as $field) {
        // get current post meta data
        $meta = get_post_meta($post->ID, $field['id'], true);

        echo '<tr>',
                '<th style="width:150px;"><label for="', $field['id'], '">', $field['name'], '</label></th>',
                '<td>';
        switch ($field['type']) {
            case 'text':
                echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:50%" />',
                    '<br />', $field['desc'];
                break;
            case 'textarea':
                echo '<textarea name="', $field['id'], '" id="', $field['id'], '" cols="60" rows="4" style="width:50%">', $meta ? $meta : $field['std'], '</textarea>',
                    '<br />', $field['desc'];
                break;
            case 'select':
                echo '<select name="', $field['id'], '" id="', $field['id'], '">';
                foreach ($field['options'] as $option) {
                    echo '<option', $meta == $option ? ' selected="selected"' : '', '>', $option, '</option>';
                }
                echo '</select>';
                break;
            case 'radio':
                foreach ($field['options'] as $option) {
				echo '<div style="margin-right: 10px; float: left;">';
                    echo '<input type="radio" name="', $field['id'], '" value="', $option['value'], '"', $meta == $option['value'] ? ' checked="checked"' : '', ' />', $option['name'];
                echo '</div>';
				}
                break;
            case 'checkbox':
                echo '<input style="margin-top:-3px" type="checkbox" name="', $field['id'], '" id="', $field['id'], '"', $meta ? ' checked="checked"' : '', ' />';
                break;
        }
        echo     '<td>',
            '</tr>';
    }

    echo '</table>';
}

add_action('save_post', 'mytheme_save_data');

// Save data from meta box
function mytheme_save_data($post_id) {
    global $meta_box;

    // verify nonce
    if (!wp_verify_nonce($_POST['mytheme_meta_box_nonce'], basename(__FILE__))) {
        return $post_id;
    }

    // check autosave
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }

    // check permissions
    if ('page' == $_POST['post_type']) {
        if (!current_user_can('edit_page', $post_id)) {
            return $post_id;
        }
    } elseif (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }

    $editorsecimieski = get_post_meta($post_id, 'ozellikler_editorSecimi', true);
    if($editorsecimieski != 'on'){
      $editorsecimiyeni = $_POST['ozellikler_editorSecimi'];
      if($editorsecimiyeni == 'on'){
        date_default_timezone_set('Europe/Istanbul');
        update_post_meta($post_id, 'ozellikler_editorSecimi_tarih', current_time( 'mysql' ));
      }
    }


    foreach ($meta_box['fields'] as $field) {
        $old = get_post_meta($post_id, $field['id'], true);
        $new = $_POST[$field['id']];

        if ($new && $new != $old) {
            update_post_meta($post_id, $field['id'], $new);
        } elseif ('' == $new && $old) {
            delete_post_meta($post_id, $field['id'], $old);
        }
    }
}

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_manset-resim',
		'title' => 'Büyük Slider',
		'fields' => array (
			array (
				'key' => 'field_55939a6198477',
				'label' => 'Büyük Slider Resim',
				'name' => 'ozellikler_buyukResim',
				'type' => 'image',
				'save_format' => 'id',
				'preview_size' => 'BuyukSlider',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}
?>
